MediaWiki多个目录遍历漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1176992 漏洞类型 路径遍历
发布时间 2011-02-01 更新时间 2012-06-22
CVE编号 CVE-2011-0537 CNNVD-ID CNNVD-201102-056
漏洞平台 N/A CVSS评分 7.5
|漏洞来源
https://www.securityfocus.com/bid/46451
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201102-056
|漏洞详情
MediaWiki是美国维基媒体(Wikimedia)基金会和MediaWiki志愿者共同开发维护的一套自由免费的基于网络的Wiki引擎,它可用于部署内部的知识管理和内容管理系统。基于Windows和NovellNetware平台的MediaWiki1.8.0版本以及1.16.2之前的其他版本中的(1)languages/Language.php及(2)includes/StubObject.php中存在多个目录遍历漏洞。远程攻击者可以借助和特制语言文件及Language::factory函数有关的向量,包含并执行任意本地PHP文件。
|受影响的产品
MediaWiki MediaWiki 1.16.1 MediaWiki MediaWiki 1.15.5 MediaWiki MediaWiki 1.15.4 MediaWiki MediaWiki 1.15.3 MediaWiki MediaWiki 1.15.2 MediaWiki MediaWiki 1.15.1
|参考资料

来源:MLIST
名称:[MediaWiki-announce]20110201MediaWikisecurityrelease1.16.2
链接:http://lists.wikimedia.org/pipermail/mediawiki-announce/2011-February/000095.html
来源:download.wikimedia.org
链接:http://download.wikimedia.org/mediawiki/1.16/mediawiki-1.16.2.patch.gz
来源:bugzilla.wikimedia.org
链接:https://bugzilla.wikimedia.org/show_bug.cgi?id=27094
来源:VUPEN
名称:ADV-2011-0273
链接:http://www.vupen.com/english/advisories/2011/0273
来源:MLIST
名称:[oss-security]20110203Re:CVErequest:Server-sidearbitraryscriptinclusionvulnerabilityinMediaWiki<=1.16.1
链接:http://www.openwall.com/lists/oss-security/2011/02/03/3
来源:MLIST
名称:[oss-security]20110201CVErequest:Server-sidearbitraryscriptinclusionvulnerabilityinMediaWiki<=1.16.1
链接:http://www.openwall.com/lists/oss-security/2011/02/01/4